> ## Documentation Index
> Fetch the complete documentation index at: https://docs.askvideos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Video Metadata

> Get metadata for a specific video.



## OpenAPI

````yaml openapi.json get /index/{index_name}/video/{video_id}/metadata
openapi: 3.1.0
info:
  title: AskVideos
  version: 0.1.0
servers: []
security: []
paths:
  /index/{index_name}/video/{video_id}/metadata:
    get:
      summary: Get Video Metadata
      description: Get metadata for a specific video.
      operationId: get_video_metadata_index__index_name__video__video_id__metadata_get
      parameters:
        - name: index_name
          in: path
          required: true
          schema:
            type: string
            title: Index Name
        - name: video_id
          in: path
          required: true
          schema:
            type: string
            title: Video Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````